Skip to content

Update project.​

PATCH
/backend/v1/projects/{project}

Modifies a project, including its name, friendly ID and configuration.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Path Parameters

project*
Required

Request Body​

application/json
JSON
{
  
"config": {
  
  
"id": "string",
  
  
"packages": [
  
  
  
{
  
  
  
  
"blocking": true,
  
  
  
  
"direction": "string",
  
  
  
  
"enabled": true,
  
  
  
  
"flagMessage": "string",
  
  
  
  
"force": true,
  
  
  
  
"id": "string",
  
  
  
  
"mode": "string",
  
  
  
  
"version": "string"
  
  
  
}
  
  
],
  
  
"providers": [
  
  
  
{
  
  
  
  
"capabilities": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"default": true,
  
  
  
  
"enabled": true,
  
  
  
  
"id": "string",
  
  
  
  
"name": "string",
  
  
  
  
"type": "string"
  
  
  
}
  
  
],
  
  
"scanners": [
  
  
  
{
  
  
  
  
"blocking": true,
  
  
  
  
"direction": "string",
  
  
  
  
"enabled": true,
  
  
  
  
"flagMessage": "string",
  
  
  
  
"force": true,
  
  
  
  
"id": "string",
  
  
  
  
"mode": "string",
  
  
  
  
"version": "string"
  
  
  
}
  
  
]
  
},
  
"deploymentStatus": "string",
  
"friendlyId": "string",
  
"name": "string"
}

Responses​

Successful Response

application/json
JSON
{
  
"message": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI

Updated at: